Create and generate content
Submit a content item and queue audio or video generation
type you provide.
See Processing types for request body examples. After creating, set up webhooks to be notified when processing completes via audio.updated.
To update an existing item and re-run generation, use Update content or Regenerate content.Authorizations
Path Parameters
The numeric ID of your project
Query Parameters
The level of detail to show for segments in the response: 'none', 'partial' or 'full'
partial, full Body
- Auto segment
- Manual segment
- Audio upload
Create content with auto segment type
The content type. Possible values are auto_segment, manual_segment or audio_upload
auto_segment The content body
The content title
The content summary
When true, generates audio for the title segment
When true, generates audio for the body text segments
When true, generates audio for the summary content
When true, includes title text and audio in generated summaries
The externally-provided source identifier of the content
The URL that contains the source content
2048The author of the content
Arbitrary tags associated with the content, used for playlist filtering
The feature image URL of the content
2048The arbitrary metadata associated with content
Whether the content will appear in the BeyondWords players and podcast feeds
Whether the content will appear in the BeyondWords video players and podcast video feeds
Time at which the content was published or is scheduled to be published (ISO 8601)
Whether adverts will play for this content in the BeyondWords players
Whether the media files will be regenerated when the text content is updated with auto_segment. Content with generate_audio set to false is always prepared and indexed again on text updates
Whether audio (and dependent video) is generated automatically for the content. When omitted, the project generate_audio value is used. When false, the content is prepared and indexed without audio generation and stays in the ready status
The id of the voice used to generate the audio of the title text.
x >= 1The id of the voice used to generate the audio of the summary text.
x >= 1The id of the voice used to generate the audio of the body text.
x >= 1Whether the summary segments will be regenerated
The default language of the content, format is ISO 639-1 (with underscore delimiter like en_GB)
10^[a-z]{2}(_[A-Z]{2})?$Video generation settings for this content item. When provided, these settings replace the content-level
video settings entirely — they are not merged with project defaults. If you omit variants or sizes,
they default to the project's video settings. To use only project-level settings, omit video_settings entirely.
Response
successful
Unique identifier for the content. Can be either a UUID or an externally provided source_id
The current status of the content processing operation. This value will change as the content is processed. ready means the content is prepared and indexed, but audio generation wasn't requested (generate_audio is false). Reaching ready sends a content.ready webhook with the ready state and without media, a preparation failure sends audio.error.
draft, ready, queued, processing, processed, skipped, error The content type. Possible values are auto_segment, manual_segment or audio_upload
auto_segment, manual_segment, audio_upload The content title
1 - 500The content summary
2000The content body
100000The flag to enable title segments in audio
The flag to enable body segments in audio
The flag to enable summary audio
The flag to include title text and audio segments in summaries
The externally-provided source identifier of the content
The URL that contains the source content
The author of the content
Arbitrary tags associated with the content, used for playlist filtering
The feature image URL of the content
The arbitrary metadata associated with content
The array of audio files for the entire content
The array of video files for the entire content
The array of segments in the content
Whether the content will appear in the BeyondWords players and podcast feeds
Whether the content will appear in the BeyondWords video players and podcast video feeds
Time at which the content was published or is scheduled to be published (ISO 8601)
Whether adverts will play for this content in the BeyondWords players
The last used AI prompt for summary generation
1000Whether the summary segments will be regenerated when the text content is updated
Whether the media files will be regenerated when the text content is updated with auto_segment. Content with generate_audio set to false is always prepared and indexed again on text updates
Whether audio (and dependent video) is generated automatically for the content. Content with false is prepared and indexed without audio generation and has the ready status unless it already has audio. Not applicable to audio_upload content
The default language of the content
Time at which the object was created (ISO 8601)
Time at which the object was updated (ISO 8601)